/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLDivElement_H___INT_
#define __GdomHTMLDivElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLDivElement.h"
G_BEGIN_DECLS
class GDOMHTMLDivElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_DIV_ELEMENT; }
    GDOMHTMLDivElement(PassRefPtr<WebCore::HTMLDivElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLDivElement_H___INT_*/
